Bug 1119552 - [RFE][keystone]: Stand alone service catalog
Summary: [RFE][keystone]: Stand alone service catalog
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Upstream M2
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_juno-2 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 04:03 UTC by RHOS Integration
Modified: 2015-03-19 17:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description RHOS Integration 2014-07-15 04:03:28 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/get-catalog.

Description:

This spec introduces a stand alone v3 API request to fetch an authenticated service catalog, for use with tokens that do not contain a catalog (those produced using the `?nocatalog` query parameter).

Specification URL (additional information):

https://github.com/openstack/keystone-specs/blob/master/specs/juno/get-catalog.rst

Comment 1 Udi 2014-10-26 11:02:59 UTC
What is the catalog used for? I never had a problem when using ?nocatalog so why would I need it? Do the other openstack services use it?

Comment 2 Nathan Kinder 2014-10-27 21:04:18 UTC
(In reply to Udi from comment #1)
> What is the catalog used for? I never had a problem when using ?nocatalog so
> why would I need it? Do the other openstack services use it?

Yes, other services and clients use the catalog from the token to determine how to reach services.  For instance, if you get a token and attempt to perform an operation against nova on a client system, how does your system know how to contact the nova-api service?  It uses the catalog for this.


Note You need to log in before you can comment on or make changes to this bug.